import './content-status-workflow.less';

export default class ContentStatusWorkflowComponent {
    workflow: any;
    static config = {
        selector: 'contentStatusWorkflow',
        template: `
            <div class="content-status">
                <div class="content-status__section" ng-if="$ctrl.workflow.processingDocuments.length">
                    <div class="content-status__section-title">{{::$ctrl.AddContentTranslate.get('add-content-workflow__content-status--processing-title')}}</div>
                    <div
                        ng-repeat="document in $ctrl.workflow.processingDocuments"
                        class="content-status__wafer content-status__wafer--processing" 
                        layout="row"
                        layout-align="center start"
                        flex
                        readonly="true">
                        
                        <div>
                            <md-progress-circular class="content-status__wafer-loader" ng-if="$ctrl.workflow.loadingContentStatus" md-diameter="16px"></md-progress-circular>
                            <mw-icon class="content-status__wafer-icon" ng-show="!$ctrl.workflow.loadingContentStatus" svg-icon="device:ic_access_time_24px"></mw-icon>
                        </div>
                        
                        <div class="content-status__wafer-content" flex layout="column" layout-align="center start">
                            <div class="content-status__wafer-title" ng-if="$ctrl.getDocumentTitle(document)">{{$ctrl.getDocumentTitle(document)}}</div>
                            <div class="content-status__wafer-subtitle" ng-if="document.sourceUrl">
                                <a class="content-status__source-link" href={{document.sourceUrl}} target="_blank">{{document.sourceUrl}}</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="content-status__section" ng-if="$ctrl.workflow.completedDocuments.length">
                    <div class="content-status__section-title">{{::$ctrl.AddContentTranslate.get('add-content-workflow__content-status--completed-title')}}</div>
                    <div
                        ng-repeat="document in $ctrl.workflow.completedDocuments"
                        class="content-status__wafer content-status__wafer--completed" 
                        layout="row"
                        layout-align="center start"
                        flex
                        readonly="true">
                        
                        <div>
                            <mw-icon class="content-status__wafer-icon" svg-icon="action:ic_check_circle_24px"></mw-icon>
                        </div>
                        
                        <div class="content-status__wafer-content" flex layout="column" layout-align="center start">
                            <div class="content-status__wafer-title" ng-if="$ctrl.getDocumentTitle(document)">{{$ctrl.getDocumentTitle(document)}}</div>
                            <div class="content-status__wafer-subtitle" ng-if="document.sourceUrl">
                                <a class="content-status__source-link" href={{document.sourceUrl}} target="_blank">{{document.sourceUrl}}</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
                
        `,
        controller: ContentStatusWorkflowComponent,
        bindings: {
            workflow: '<'
        }
    };

    /*@ngInject*/
    constructor(
        private AddContentTranslate
    ) {}

    $onInit() {}

    getDocumentTitle(document) {
        return document.title || document.informationType === 'social' && document.matchSentence;
    }
}
